%bcond_without static_libs # don't build static libraries

Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Name:           double-conversion
Version:        2.0.1
Release:        2.python26.devtoolset2%{?dist}
License:        BSD
Group:          Development/Libraries
Source0:        http://double-conversion.googlecode.com/files/%{name}-%{version}.tar.gz
URL:            http://code.google.com/p/double-conversion
%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRequires:  python26
BuildRequires:  devtoolset-2-binutils
BuildRequires:  devtoolset-2-build
BuildRequires:  devtoolset-2-gcc
BuildRequires:  devtoolset-2-gcc-c++
%endif
BuildRequires:  scons >= 2.3.0
%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif

%description
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package devel
Summary:    Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
Contains header files for developing applications that use the %{name}
library.

There is extensive documentation in src/double-conversion.h. Other
examples can be found in test/cctest/test-conversions.cc.

%package static
Summary:    Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:      Development/Libraries
Requires:   %{name}-devel%{?_isa} = %{version}-%{release}

%description static
Static %{name} library.

%prep
%setup -q -c %{name}-%{version}

%build
%if 0%{?rhel} && 0%{?rhel} <= 5
. /opt/rh/devtoolset-2/enable

python26 /usr/bin/scons %{?_smp_mflags} \
%else
scons %{?_smp_mflags} \
%endif
      CXXFLAGS="%{optflags}" \
      VERSION="%{version}"
      
# With scons 2.3.0 setting the version fails without this
# http://comments.gmane.org/gmane.comp.programming.tools.scons.user/24448
rm -f libdouble-conversion.so*

%install
install -d  %{buildroot}{%{_libdir},%{_includedir}/%{name}}

%if %{with static_libs}
%global target install
%else
%global target install-shared
%endif

%if 0%{?rhel} && 0%{?rhel} <= 5
python26 /usr/bin/scons %{target} \
%else
scons %{target} \
%endif
      CXXFLAGS="%{optflags}" \
      libsuffix=%{_lib} \
      prefix=%{_prefix} \
      DESTDIR=%{buildroot}

cp -p src/*.h %{buildroot}%{_includedir}/%{name}

%check
%if 0%{?rhel} && 0%{?rhel} <= 5
python26 /usr/bin/scons CXXFLAGS="%{optflags}" run_tests
%else
scons CXXFLAGS="%{optflags}" run_tests
%endif
./run_tests --list | tr -d '<' | xargs ./run_tests

%post -p /sbin/ldconfig
%postun  -p /sbin/ldconfig

%files
%doc LICENSE README AUTHORS Changelog
%{_libdir}/libdouble-conversion.so.1*

%files devel
%{_libdir}/libdouble-conversion.so
%{_includedir}/%{name}

%if %{with static_libs}
%files static
%{_libdir}/libdouble-conversion.a
%{_libdir}/libdouble-conversion_pic.a
%endif

%changelog
* Thu Oct 9 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.1-2.python26.devtoolset2
- Build on EPEL5 by using python26 (needed by scons) and devtoolset-2.

* Sat Feb 8 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.1-1
- New upstream version.
- Drop no longer needed custom SConstruct file and use new upstream SONAME.

* Tue Dec 17 2013 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.0-4
- Drop libstdc++-devel from BuildRequires.
- Move %%check after %%install.

* Sat Dec 14 2013 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.0-3
- Remove gcc-c++ from BuildRequires as it is an exception.
- Fix command in %%check and pass CXXFLAGS to scons.
- Use %%global instead of %%define.

* Thu Dec 12 2013 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.0-2
- Fix building when "--without static_libs" is passed.
- Remove %%ghost with libdouble-conversion.so.2.
- Drop BuildRoot.
- Use rm instead of %%{__rm} for consistency
- Use %%{?dist} in Release.

* Wed Dec 11 2013 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.0-1
- Initial Fedora package based on a PLD Linux RPM by Elan Ruusamäe <glen@delfi.ee>:
  http://git.pld-linux.org/gitweb.cgi?p=packages/double-conversion.git
